from setuptools import find_packages, setup

setup(
    name="django-response-helpers",
    version='3.0.1',
    author="Aaron Madison",
    author_email="aaron.l.madison@gmail.com",
    description="A helper application for working with Django Responses",
    long_description=open('README.txt', 'r').read(),
    url="https://github.com/imtapps/django-response-helpers",
    packages=find_packages(exclude=["example"]),
    install_requires=open("requirements/dist.txt").readlines(),
    tests_requires=open("requirements/dev.txt").readlines(),
    test_suite="runtests.runtests",
    zip_safe=False,
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Environment :: Web Environment",
        "Framework :: Django",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: BSD License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development",
        "Topic :: Software Development :: Libraries :: Application Frameworks",
        "Programming Language :: Python :: 2",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
        "Programming Language :: Python :: 3.13",
        "Framework :: Django :: 1.11",
        "Framework :: Django :: 2.2",
        "Framework :: Django :: 3.2",
        "Framework :: Django :: 4.2",
        "Framework :: Django :: 5.2",
    ],
)
